Bug 569027 - Screensaver doesn't block screen if menu is open
Screensaver doesn't block screen if menu is open
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-27 12:34 EST by Boris Mironov
Modified: 2012-08-16 16:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Boris Mironov 2010-02-27 12:34:21 EST
Description of problem:
If any right-click menu is open screensaver doesn't take over the screen


Version-Release number of selected component (if applicable):
gnome-screensaver-2.28.3-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Mount CD 
2. Right-click on CD icon on desktop but do not select anything
3. Do nothing for number of minutes while screensaver should kick-in
4. Nothing will happend, but if you close menu now by clicking somewhere you should see screen blocked by screensaver 
  
Actual results:
Content of the screen remains present

Expected results:
In my case it should be Cosmos slideshow

Additional info:
Same behaviour for any GNOME panel applets (eg, just click Applications or Places or System and leave menu open)
Comment 1 Boris Mironov 2010-02-27 12:37:47 EST
Hello,

Just a bit more information...

I use GNOME

My screensaver settings:
Cosmos slideshow
Regard computer as idle after: 5 minures
Activate screensaver when computer is idle (ON)
Lock screen when screensaver is active (ON)

Thanks,
Boris
Comment 2 Boris Mironov 2010-02-27 12:42:26 EST
A much faster approach to check:
1) Click "Applications to open menu
2) Hit Ctrl-Alt-L

Expected behavior: close screen
Actual result: nothing happens
Comment 3 Joel 2010-07-06 12:40:50 EDT
I can reproduce this bug.  

This is a SECURITY bug.  Timed screen locker MUST lock and hide the display at the specified time regardless of if a menu has focus or the system is in right pointer mode.

Note that the system won't screen lock if the mouse pointer is off the edge when using synergy+ to drive another system.

Joel
Comment 4 Bug Zapper 2010-11-03 17:12:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Boris Mironov 2010-11-03 19:54:30 EDT
This bug is still valid for Fedora 13
Comment 6 Boris Mironov 2010-11-07 10:59:29 EST
This bug is still present in Fedora 14
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:58:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2012-08-16 16:07:51 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joel 2012-08-16 16:28:12 EDT
This is still a problem in Fedora 17.  THIS IS A SECURITY PROBLEM. Please update.  Does a CERT need to be filed?

Note You need to log in before you can comment on or make changes to this bug.